#!/usr/bin/env python

# This file is part of Window-Switch.
# Copyright (c) 2009-2013 Antoine Martin <antoine@nagafix.co.uk>
# Window-Switch is released under the terms of the GNU GPL v3

from winswitch.util.simple_logger import Logger
from winswitch.ui.notification_util import get_notification_util
from winswitch.util.main_loop import test_loop, callLater

logger = Logger("notification_util_test")

tray = None

def test_notification():
	def cb():
		logger.slog()
	def n2():
		get_notification_util().notify(None, "hello2", "world2", 5, ("test2", cb), None)
	get_notification_util().notify(None, "hello", "world", 5, ("test", cb), None)
	callLater(5, n2)

def main():
	test_loop(test_notification)


if __name__ == "__main__":
	main()
